package com.tofly.feesapi.common.dzfp;

public class InvoiceAmounts {
    /*
    //汇总不含税金额
     */
    private Double taxExcludedAmount;

    /*
     //汇总税额
     */
    private Double tax;

    /*
     //含税金额
     */
    private Double taxIncludedAmount;

    public InvoiceAmounts(Double taxExcludedAmount, Double tax, Double taxIncludedAmount) {
        this.taxExcludedAmount = taxExcludedAmount;
        this.tax = tax;
        this.taxIncludedAmount = taxIncludedAmount;
    }

    public InvoiceAmounts(InvoiceAmounts oldIa, InvoiceAmounts newIa) {
        this.taxExcludedAmount = oldIa.getTaxExcludedAmount() + newIa.getTaxExcludedAmount();
        this.tax = oldIa.getTax() + newIa.getTax();
        this.taxIncludedAmount = oldIa.getTaxIncludedAmount() + newIa.getTaxIncludedAmount();
    }


    public Double getTaxExcludedAmount() {
        return taxExcludedAmount;
    }

    public Double getTax() {
        return tax;
    }

    public Double getTaxIncludedAmount() {
        return taxIncludedAmount;
    }
}
