package com.tofly.feesapi.common.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;

/**
 * 用户角色枚举
 * @author shudong
 */
public enum UserRoleEnum {
    /**
     * 抄表员
     */
    MeterReader(86),

    /**
     * 收费人员
     */
    TollCollector(87),

    /**
     * 第三方收费人员
     */
    ThirdPartyTollCollector(78);

    @EnumValue
    private int roleId;

    UserRoleEnum(int roleId) {
        this.roleId = roleId;
    }
}
