/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.feesapi.dzfp.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.feesapi.common.entity.dto.PageDto;
import com.tofly.feesapi.dzfp.entity.EiFpkjRequest;
import com.tofly.feesapi.dzfp.entity.dto.EiFpkjRequestFilter;
import com.tofly.feesapi.dzfp.entity.dto.EiFpkjRequest_select;
import com.tofly.feesapi.dzfp.entity.dto.EiFpkjRequest_sum;
import org.apache.ibatis.annotations.Param;

import java.util.List;
/**
 * 电子发票汇总表
 *
 * @author sxb
 * @date Thu Jul 18 00:00:00 CST 2024
 */
public interface EiFpkjRequestMapper extends BaseMapper<EiFpkjRequest> {
//    List<EiFpkjRequest_Excel> getList(@Param("filter") YhkhjbxxFilter filter);
PageDto<EiFpkjRequest_select> getPage(PageDto page, @Param("filter") EiFpkjRequestFilter filter);

    PageDto<EiFpkjRequest_select> getSfPage(PageDto page, @Param("filter") EiFpkjRequestFilter filter);
    PageDto<EiFpkjRequest_select> getFpPage(PageDto page, @Param("filter") EiFpkjRequestFilter filter);
    PageDto<EiFpkjRequest_select> getZnjPage(PageDto page, @Param("filter") EiFpkjRequestFilter filter);
    PageDto<EiFpkjRequest_select> getWsfPage(PageDto page, @Param("filter") EiFpkjRequestFilter filter);
    List<EiFpkjRequest_select> getList(@Param("filter") EiFpkjRequestFilter filter);

    List<EiFpkjRequest_sum> getListSum(@Param("filter") EiFpkjRequestFilter filter);
}
