/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.feesapi.sms.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;


/**
 * 短信模板
 *
 * @author sunjian
 * @date Fri Nov 08 00:00:00 CST 2024
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "SMS_TXLX", resultMap = "smsTxlxMap")
@KeySequence("SMS_TXLX")
@ApiModel
public class SmsTxlx extends Model<SmsTxlx> {
    private static final long serialVersionUID = 1L;

    /**
     * 编码
     */
    @TableId(value = "CODE", type = IdType.INPUT)
    @ApiModelProperty(value = "编码")
    private String code;
    /**
     * 名称
     */
    @ApiModelProperty(value = "名称")
    private String name;
    /**
     * 短信内容格式
     */
    @ApiModelProperty(value = "短信内容格式")
    private String dxnrgs;
    /**
     * $column.comments
     */
    @ApiModelProperty(value = "sql語句")
    private String sql;
    /**
     * 0：固定格式 1：自定义格式
     */
    @ApiModelProperty(value = "0：固定格式 1：自定义格式")
    private String sffsbz;
    /**
     * 是否启用：0不启用，1启用
     */
    @ApiModelProperty(value = "是否启用：0不启用，1启用")
    private String isdisabled;
    /**
     * 短信内容格式注释
     */
    @ApiModelProperty(value = "短信内容格式注释")
    private String dxnrzs;
    /**
     * $column.comments
     */
    @ApiModelProperty(value = "序号")
    private BigDecimal xh;
    /**
     * 联通短信模板编号【联通平台上获取】
     */
    @ApiModelProperty(value = "联通短信模板编号【联通平台上获取】")
    private String mbbh;

}
