package com.tofly.feesapi.sms.entity.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 * @author sunjian
 * @date 2024/11/14
 */
@Data
@ApiModel("短信提醒类型Vo")
public class SmsTxlxVo extends Model<SmsTxlxVo> {
    private static final long serialVersionUID = 1L;

    /**
     * 编码
     */
    @TableId(value = "CODE", type = IdType.INPUT)
    @ApiModelProperty(value = "编码")
    private String code;
    /**
     * 名称
     */
    @ApiModelProperty(value = "名称")
    private String name;
    /**
     * 短信内容格式
     */
    @ApiModelProperty(value = "短信内容格式")
    private String dxnrgs;
    /**
     * 0：固定格式 1：自定义格式
     */
    @ApiModelProperty(value = "0：固定格式 1：自定义格式")
    private String sffsbz;
    /**
     * 0：固定格式 1：自定义格式
     */
    @ApiModelProperty(value = "0：固定格式 1：自定义格式")
    private String sffsbzName;

}
