/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.feesapi.sms.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.feesapi.cbgl.entity.dto.YyCblrFilter;
import com.tofly.feesapi.common.entity.vo.PageResult;
import com.tofly.feesapi.sms.entity.SmsMessage;
import com.tofly.feesapi.sms.entity.dto.SmsMessageYhxxDto;
import com.tofly.feesapi.sms.entity.vo.SmsMessageYhxxVo;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;

import java.util.List;

/**
 * 短信消息
 *
 * @author sunjian
 * @date Fri Nov 08 00:00:00 CST 2024
 */
public interface SmsMessageMapper extends BaseMapper<SmsMessage> {

    List<SmsMessageYhxxVo> getSmsMessageYhxxVoList(@Param("smsMessageYhxxDto") SmsMessageYhxxDto smsMessageYhxxDto);

    List<SmsMessageYhxxVo> getSmsMessageYhqfxxVoList(@Param("smsMessageYhxxDto") SmsMessageYhxxDto smsMessageYhxxDto);

    Page<SmsMessageYhxxVo> getSmsMessageYhxxVoList(Page page, @Param("smsMessageYhxxDto") SmsMessageYhxxDto smsMessageYhxxDto);

    Page<SmsMessageYhxxVo> getSmsMessageYhqfxxVoList(Page page, @Param("smsMessageYhxxDto") SmsMessageYhxxDto smsMessageYhxxDto);
}
