/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.base.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 角色菜单表
 *
 * @author wangjian
 * @date Mon Oct 21 00:00:00 CST 2019
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_SMPN_ROLEMENU_X", resultMap = "roleMenuMap")
@KeySequence(value = "tf_smpn_rolemenu_x_seq")
@ApiModel
public class RoleMenu extends Model<RoleMenu> {
    private static final long serialVersionUID = 1L;

    /**
     * 角色ID
     */
    @ApiModelProperty(value = "角色ID")
    private Long roleId;
    /**
     * 菜单ID
     */
    @ApiModelProperty(value = "菜单ID")
    private Long menuId;
    /**
     * $column.comments
     */
    @TableId(value = "id", type = IdType.AUTO)
    @ApiModelProperty(value = "$column.comments")
    private Long id;

}
