package com.tofly.feesapi.dzfp.entity.dto;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class EiFpkjRequest_Invoice {
    /**
     * 流水编号
     */
    @TableId(value = "LSBH", type = IdType.INPUT)
    @ApiModelProperty(value = "流水编号")
    private String lsbh;
    /**
     * 购方名称
     */
    @ApiModelProperty(value = "购方名称")
    private String buyername;
    /**
     * 购方税号
     */
    @ApiModelProperty(value = "购方税号")
    private String buyertaxnum;
    /**
     * 购方电话
     */
    @ApiModelProperty(value = "购方电话")
    private String buyertel;
    /**
     * 购方地址
     */
    @ApiModelProperty(value = "购方地址")
    private String buyeraddress;
    /**
     * 购方银行开户行及账号
     */
    @ApiModelProperty(value = "购方银行开户行及账号")
    private String buyeraccount;
    /**
     * 购方银行开户行
     */
    @ApiModelProperty(value = "购方银行开户行")
    private String buyerbank;
    @ApiModelProperty(value = "推送方式：-1,不推送;0,邮箱;1,手机（默认）;2,邮箱、手机")
    private String pushmode;
    /**
     * 购方手机（pushMode为1或2时，此项为必填，同时受企业资质是否必填控制）
     */
    @ApiModelProperty(value = "购方手机（pushMode为1或2时，此项为必填，同时受企业资质是否必填控制）")
    private String buyerphone;
    /**
     * 推送邮箱（pushMode为0或2时，此项为必填，同时受企业资质是否必填控制）
     */
    @ApiModelProperty(value = "推送邮箱（pushMode为0或2时，此项为必填，同时受企业资质是否必填控制）")
    private String email;
    /**
     * 开票类型：1:蓝票;2:红票
     */
    @ApiModelProperty(value = "开票类型：1:蓝票;2:红票 ")
    private String invoicetype;
    /**
     * 发票种类p,普通发票(电票)(默认);c,普通
     发票(纸票);s,专用发票;e,收购发票(电票);f,
     收购发票(纸质);r,普通发票(卷式);b,增值税
     电子专用发票;j,机动车销售统一发票;u,二手
     车销售统一发票;bs:电子发票(增值税专用
     发票)-即全电专票,pc:电子发票(普通发票)-
     即全电普票
     */
    @ApiModelProperty(value = "发票种类p,普通发票(电票)(默认);c,普通")
    private String invoiceline;
    /**
     * 冲红时，在备注中注明
     */
    @ApiModelProperty(value = "冲红时，在备注中注明")
    private String remark;
}
