package com.tofly.feesapi.dzfp.entity.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class EiFpkjRequest_cxjf {
    /**
     * 流水编号
     */
    @TableId(value = "LSBH", type = IdType.INPUT)
    @ApiModelProperty(value = "流水编号")
    private String lsbh;
    /**
     * 购方手机（pushMode为1或2时，此项为必填，同时受企业资质是否必填控制）
     */
    @ApiModelProperty(value = "购方手机（pushMode为1或2时，此项为必填，同时受企业资质是否必填控制）")
    private String buyerphone;

    /**
     * 推送邮箱（pushMode为0或2时，此项为必填，同时受企业资质是否必填控制）
     */
    @ApiModelProperty(value = "推送邮箱（pushMode为0或2时，此项为必填，同时受企业资质是否必填控制）")
    private String email;

}
