/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.feesapi.dzfp.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.feesapi.common.entity.dto.PageDto;
import com.tofly.feesapi.common.entity.vo.PageResult;
import com.tofly.feesapi.dzfp.entity.EiFpkjRequest;
import com.tofly.feesapi.dzfp.entity.dto.EiFpkjRequestFilter;
import com.tofly.feesapi.dzfp.entity.dto.EiFpkjRequest_select;
import com.tofly.feesapi.dzfp.entity.dto.EiFpkjRequest_sum;
import com.tofly.feesapi.security.model.CzyUserDetails;

import java.util.List;

/**
 * 电子发票汇总表
 *
 * @author sxb
 * @date Thu Jul 18 00:00:00 CST 2024
 */
public interface EiFpkjRequestService extends IService<EiFpkjRequest> {

//    List<EiFpkjRequest_Excel> getList(EiFpkjRequestFilter eiFpkjRequestFilter);
PageResult<EiFpkjRequest_select> getPage(PageDto pageDto, EiFpkjRequestFilter filter);

    PageResult<EiFpkjRequest_select> getSfPage(PageDto pageDto, EiFpkjRequestFilter filter);

    PageResult<EiFpkjRequest_select> getFpPage(PageDto pageDto, EiFpkjRequestFilter filter);

    PageResult<EiFpkjRequest_select> getWsfPage(PageDto pageDto, EiFpkjRequestFilter filter);

    PageResult<EiFpkjRequest_select> getZnjPage(PageDto pageDto, EiFpkjRequestFilter filter);

    List<EiFpkjRequest_select> getList(EiFpkjRequestFilter filter);

    List<EiFpkjRequest_sum> getListSum(EiFpkjRequestFilter filter);

    boolean dzfpch(EiFpkjRequest eiFpkjRequest, CzyUserDetails czyUserDetails);
}
