package com.tofly.feesapi.sms.entity.dto;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 短信模板-用户信息
 * @author sunjian
 * @date 2024/11/12
 */
@Data
@ApiModel
public class SmsMessageYhxxDto extends Model<SmsMessageYhxxDto> {

    /**
     * 关键字(用户编号、用户姓名、用户地址)
     */
    @ApiModelProperty(value = "关键字(用户编号、用户姓名、用户地址)")
    private String searchText;

    /**
     * 用户编号
     */
    @ApiModelProperty(value = "所属抄表片区")
    private String sscbpq;
    /**
     * 用户姓名
     */
    @ApiModelProperty(value = "所属抄表本")
    private String sscbb;

    /**
     * 用户编号字符串
     */
    @ApiModelProperty(value = "用户编号字符串，用逗号分割")
    private String yhbhs;

}
